package com.sun.asqe.entitystateless.ejb.car;

import javax.ejb.*;
import javax.persistence.*;
import javax.annotation.*;

@Embeddable
public class CarPK{

    @Column(name="LICENSE_PLATE") 
        private String lPlate;
    @Column(name="STATE") 
        private String state;

    public CarPK(){}

    public CarPK(String lPlate, String state){
        this.lPlate = lPlate;
        this.state = state;
    }

    public String getLPlate() {return this.lPlate;}
    public void setLPlate(String lPlate) {this.lPlate = lPlate;}
    public String getState() {return this.state;}
    public void setState(String state) {this.state = state;}

	public int hashCode() {
        System.out.println("CarPK: getting hashCode");
        String unique = "License Plate:"+lPlate+",State:"+state;
        return unique.hashCode();
    }

	public boolean equals(Object obj) {
        System.out.println("CarPK: in equals");
        if(obj == null || !(obj instanceof CarPK)){
            return false;
        }
        CarPK other = (CarPK)obj;
        if ( (this.lPlate).equals(other.lPlate) && 
             (this.state).equals(other.state)
             ){
            return true;
        } else {
            return false;
        }
	}

	public String toString() {
        return "License Plate:"+lPlate+",State:"+state;
	}

}

