package com.sun.asqe.entitystateless.ejb.driver;

import javax.ejb.*;
import javax.persistence.*;
import javax.annotation.*;

public class DriverPK{

    private String lno;
    private String state;

    public DriverPK(){}

    public DriverPK(String lno, String state){
        this.lno = lno;
        this.state = state;
    }

    public String getLno() {return this.lno;}
    public void setLno(String lplate) {this.lno = lno;}
    public String getState() {return this.state;}
    public void setState(String state) {this.state = state;}

	public int hashCode() {
        System.out.println("DriverPK: getting hashCode");
        String unique = "License Number:"+lno+",State:"+state;
        return unique.hashCode();
    }

	public boolean equals(Object obj) {
        System.out.println("DriverPK: in equals");
        if(obj == null || !(obj instanceof DriverPK)){
            return false;
        }
        DriverPK other = (DriverPK)obj;
        if ( (this.lno).equals(other.lno) && 
             (this.state).equals(other.state)
             ){
            return true;
        } else {
            return false;
        }
	}

	public String toString() {
        return "License Number:"+lno+",State:"+state;
	}

}
